# Class Gesture

java.lang.Object
uk.ac.starlink.ttools.plot2.Gesture

public class Gesture extends Object
Enumerates mouse gestures used to perform navigation actions.

Since:
  3 Feb 2014
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Gesture`
`CLICK_1`
Click mouse button 1.
`static final Gesture`
`CLICK_2`
Click mouse button 2.
`static final Gesture`
`CLICK_3`
Click mouse button 3.
`static final Gesture`
`DRAG_1`
Drag using mouse button 1.
`static final Gesture`
`DRAG_2`
Drag using mouse button 2.
`static final Gesture`
`DRAG_3`
Drag using mouse button 3.
`static final Gesture`
`WHEEL`
Rotate mouse wheel.

## Constructor Summary

Constructors
Constructor
Description
`Gesture(String name, Icon icon, String description)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a description for this gesture.
`Icon`
`getIcon()`
Returns a small icon for this gesture.
`String`
`getName()`
Returns a short name for this gesture.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DRAG_1

public static final Gesture DRAG_1
Drag using mouse button 1.

### DRAG_2

public static final Gesture DRAG_2
Drag using mouse button 2.

### DRAG_3

public static final Gesture DRAG_3
Drag using mouse button 3.

### CLICK_1

public static final Gesture CLICK_1
Click mouse button 1.

### CLICK_2

public static final Gesture CLICK_2
Click mouse button 2.

### CLICK_3

public static final Gesture CLICK_3
Click mouse button 3.

### WHEEL

public static final Gesture WHEEL
Rotate mouse wheel.

## Constructor Details

### Gesture

public Gesture(String name, Icon icon, String description)
Constructor.

Parameters:
  `name` - gesture name (short)
  `icon` - small icon (preferably 12 pixels high)
  `description` - gesture description

## Method Details

### getName

public String getName()
Returns a short name for this gesture.

Returns:
  name

### getIcon

public Icon getIcon()
Returns a small icon for this gesture.

Returns:
  icon

### getDescription

public String getDescription()
Returns a description for this gesture.

Returns:
  description, appropriate for tool tip etc

### toString

public String toString()

Overrides:
  `toString` in class `Object`